;+
;change size
;+
PRO sesStatus::Resize, xSize

	COMPILE_OPT IDL2

	Widget_Control, self.sBase, XSize = xSize

END
;+
;create Status bar
;+
PRO sesStatus::Create
	COMPILE_OPT IDL2
	value = ['X:', '', 'Y:', '']
	uName = ['sesX', 'sesXpos','sesY', 'sesYpos']

	xSize = [12,40,12,40]
	ySize = IntArr(4)+13
	frame = [0,1,0,1]
	separator = [2,10,2,40]

	sBase = Widget_Base(self.mainBase    	, $
                         /Row             	, $
                         /Base_Align_Center	, $
                         Space = 0         	, $
                         XPad  = 0         	, $
                         YPad  = 0         	)

	Widget_Control, /Realize, sBase

	self.sBase = sBase

	statusID = IntArr(10)
	FOR i=0, 3 DO BEGIN
		statusID[i] = Widget_Label(sBase				, $
									Value = value[i] 		, $
									UName = uName[i]		, $
									Font = 'arial*14'		, $
									XSize = xSize[i]		, $
									YSize = ySize[i]		, $
									Sunken_Frame = frame[i]	)

		temp = Widget_Label(sBase, Scr_XSize = separator[i], Value = '')
	ENDFOR

	self.statusID = statusID

END
;+
;clean up
;+
PRO sesStatus::CleanUp
	COMPILE_OPT IDL2

END
;+
;initialize
;+
FUNCTION sesStatus::Init , oSystem = oSystem
	COMPILE_OPT IDL2
	self.oSystem = oSystem
	self.mainBase = oSystem.mBase
	self.foreColor = oSystem.foreColor
	self.rootDir = oSystem.rootDir

	self.signColor = [235,233,237]

	self->Create

	Return,1

END
;+
;Status class name
;+
PRO sesStatus__Define

	COMPILE_OPT IDL2
	void = { sesStatus                             , $
	         ;system parameter
			 mainBase          :    0              , $
			 sBase             :    0              , $
			 rootDir		   :	''			   , $
		     foreColor	       :	IntArr(3)	   , $
			 signColor	       :	IntArr(3)	   , $
			 statusID          :    IntArr(10)     , $
			 ;system objct
	         oSystem           :    Obj_New()        $

			}

END